package cn.superdesk.uniorder.dubbo.facade.organisation;


import cn.superdesk.uniorder.common.rest.response.R;
import cn.superdesk.uniorder.dao.entity.organisation.SysCliqueOrg;
import cn.superdesk.uniorder.dto.param.organisation.SysCliqueOrgParam;
import com.github.pagehelper.PageInfo;

import java.util.List;
import java.util.Map;

/**
 * @Description:
 * @Author: linjinyu
 * @Email linjinyu@avic-s.com
 * @CreateDate: 2021-04-28 14:08:25
 * @UpdateUser: linjinyu
 * @UpdateDate: 2021-04-28 14:08:25
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
public interface DubboSysCliqueOrgService {

	/****************************************** extends BaseService 部分 start ******************************************/

	@Deprecated
	void addObj(SysCliqueOrgParam param);

	@Deprecated
	void updateObj(SysCliqueOrgParam param);

	@Deprecated
	void deleteObj(Long id);

	@Deprecated
	SysCliqueOrg findById(Long id);

	@Deprecated
	PageInfo<SysCliqueOrg> findByPaging(Map<String, Object> conditions, Integer pageNun, Integer pageSize);

	@Deprecated
	List<SysCliqueOrg> findAll(Map<String, Object> queryMap);

	/****************************************** extends BaseService 部分   end ******************************************/


	void addSysCliqueOrg(SysCliqueOrgParam param);

	void updateSysCliqueOrg(SysCliqueOrgParam param);

	void deleteSysCliqueOrg(Long id);

	SysCliqueOrg findSysCliqueOrgById(Long id);

	R<List<SysCliqueOrg>> pageQuery(Map<String, Object> conditions, int pageNun, int pageSize);

	/****************************************** kafka start ******************************************/

	void kafkaMergeReceiveCliqueOrg(String message);

	void kafkaDeleteReceiveCliqueOrg(String message);

	/****************************************** kafka   end ******************************************/
}
